v3.8.x [Gelöst] Warnmeldung bei Rechnungserstellung unter PHP 7.1

Thema wurde von Anonymous, 2. März 2018 erstellt.

  1. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    12. Februar 2014
    Beiträge:
    204
    Danke erhalten:
    39
    Danke vergeben:
    224
    Nachdem ich auf PHP 7.1 umgestellt habe, erscheint beim Erstellen einer Rechnung aus der Bestellübersicht immer folgende Warnmeldung:

    Code:
    WARNING(2): "A non-numeric value encountered"
    
    WARNING(2): "Cannot modify header information - headers already sent by (output started at /system/core/logging/LogControl.inc.php:262)"
    Die Rechnung wird aber trotzdem normal erzeugt. Unter PHP 7.0 gibt es diese Warnung nicht.
     
  2. Wilken (Gambio)

    Wilken (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    7. November 2012
    Beiträge:
    17.775
    Danke erhalten:
    6.757
    Danke vergeben:
    2.046
    Kannst du bitte mal ein Ticket dazu öffnen? Da fehlt der Backtrace um zu sehen was wirklich das Problem ist.
     
  3. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    12. Februar 2014
    Beiträge:
    204
    Danke erhalten:
    39
    Danke vergeben:
    224
    Alles klar, ist erstellt.
     
  4. Anonymous

    Anonymous Erfahrener Benutzer
    Mitarbeiter

    Registriert seit:
    22. Juni 2011
    Beiträge:
    4.391
    Danke erhalten:
    1.570
    Danke vergeben:
    114
    Ich hab da mal schnell reingesehen: Der Fehler wird von einer Stelle in admin/includes/gm/classes/gmOrderPDF.php (Zeile 851) ausgelöst, die du vermutlich selbst modifiziert hast.
     
  5. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    12. Februar 2014
    Beiträge:
    204
    Danke erhalten:
    39
    Danke vergeben:
    224
    Danke, das hatte ich übersehen. Ist behoben.
     
  6. Taisan

    Taisan Erfahrener Benutzer

    Registriert seit:
    4. Februar 2016
    Beiträge:
    132
    Danke erhalten:
    12
    Danke vergeben:
    39
    Hallo Gambio Team,

    ich habe exakt das gleiche Problem, welches schon mal gegen Endes letzten Jahres durch Eueren Support behoben wurde. Das Ganze ist aber nicht update sicher! Jetzt ist das Problem nach dem Update wieder da. Die besagte Datei "admin/includes/gm/classes/gmOrderPDF.php" wurde bereits durch die neueste ersetzt. Trotzdem kommt die Warnung wieder. Wie kann ich das selber beheben? Vielen Dank.
     
  7. Taisan

    Taisan Erfahrener Benutzer

    Registriert seit:
    4. Februar 2016
    Beiträge:
    132
    Danke erhalten:
    12
    Danke vergeben:
    39
    Sorry. Habe die Info über PHP Version übersehen. Jetzt mit 7.3 funktioniert es wieder.